MSVSSConstants (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.vss, interface: MSVSSConstants

Package org.apache.tools.ant.taskdefs.optional.vss

# Interface MSVSSConstants

All Known Implementing Classes:
  `MSVSS`, `MSVSSADD`, `MSVSSCHECKIN`, `MSVSSCHECKOUT`, `MSVSSCP`, `MSVSSCREATE`, `MSVSSGET`, `MSVSSHISTORY`, `MSVSSLABEL`

public interface MSVSSConstants
Holds all the constants for the VSS tasks.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `COMMAND_ADD`
  The 'Add' command
  `static final String`
  `COMMAND_CHECKIN`
  The 'Checkin' command
  `static final String`
  `COMMAND_CHECKOUT`
  The 'Checkout' command
  `static final String`
  `COMMAND_CP`
  The 'CP' command
  `static final String`
  `COMMAND_CREATE`
  The 'Create' command
  `static final String`
  `COMMAND_GET`
  The 'Get' command
  `static final String`
  `COMMAND_HISTORY`
  The 'History' command
  `static final String`
  `COMMAND_LABEL`
  The 'Label' command
  `static final String`
  `FLAG_AUTORESPONSE_DEF`
  -I- flag
  `static final String`
  `FLAG_AUTORESPONSE_NO`
  -I-N flag
  `static final String`
  `FLAG_AUTORESPONSE_YES`
  -I-Y flag
  `static final String`
  `FLAG_BRIEF`
  -B flag
  `static final String`
  `FLAG_CODEDIFF`
  -D flag
  `static final String`
  `FLAG_COMMENT`
  -C flag
  `static final String`
  `FLAG_FILETIME_DEF`
  -GTC flag
  `static final String`
  `FLAG_FILETIME_MODIFIED`
  -GTM flag
  `static final String`
  `FLAG_FILETIME_UPDATED`
  -GTU flag
  `static final String`
  `FLAG_LABEL`
  -L flag
  `static final String`
  `FLAG_LOGIN`
  -Y flag
  `static final String`
  `FLAG_NO_FILE`
  -F- flag
  `static final String`
  `FLAG_NO_GET`
  -G- flag
  `static final String`
  `FLAG_OUTPUT`
  -O flag
  `static final String`
  `FLAG_OVERRIDE_WORKING_DIR`
  -GL flag
  `static final String`
  `FLAG_QUIET`
  -O- flag
  `static final String`
  `FLAG_RECURSION`
  -R flag
  `static final String`
  `FLAG_REPLACE_WRITABLE`
  -GWR flag
  `static final String`
  `FLAG_SKIP_WRITABLE`
  -GWS flag
  `static final String`
  `FLAG_USER`
  -U flag
  `static final String`
  `FLAG_VERSION`
  -V flag
  `static final String`
  `FLAG_VERSION_DATE`
  -Vd flag
  `static final String`
  `FLAG_VERSION_LABEL`
  -VL flag
  `static final String`
  `FLAG_WRITABLE`
  -W flag
  `static final String`
  `PROJECT_PREFIX`
  Dollar Sigh to prefix the project path
  `static final String`
  `SS_EXE`
  Constant for the thing to execute
  `static final String`
  `STYLE_BRIEF`
  The brief style flag
  `static final String`
  `STYLE_CODEDIFF`
  The codediff style flag
  `static final String`
  `STYLE_DEFAULT`
  The default style flag
  `static final String`
  `STYLE_NOFILE`
  The nofile style flag
  `static final String`
  `TIME_CURRENT`
  The text for current (default) timestamp
  `static final String`
  `TIME_MODIFIED`
  The text for modified timestamp
  `static final String`
  `TIME_UPDATED`
  The text for updated timestamp
  `static final String`
  `VALUE_FROMDATE`
  ~d flag
  `static final String`
  `VALUE_FROMLABEL`
  ~L flag
  `static final String`
  `VALUE_NO`
  -N flag
  `static final String`
  `VALUE_YES`
  -Y flag
  `static final String`
  `WRITABLE_FAIL`
  The text for failing on writable files
  `static final String`
  `WRITABLE_REPLACE`
  The text for replacing writable files
  `static final String`
  `WRITABLE_SKIP`
  The text for skipping writable files

- ## Field Details

  - ### SS_EXE

    static final String SS_EXE
    Constant for the thing to execute
    See Also:
      - Constant Field Values

  - ### PROJECT_PREFIX

    static final String PROJECT_PREFIX
    Dollar Sigh to prefix the project path
    See Also:
      - Constant Field Values

  - ### COMMAND_CP

    static final String COMMAND_CP
    The 'CP' command
    See Also:
      - Constant Field Values

  - ### COMMAND_ADD

    static final String COMMAND_ADD
    The 'Add' command
    See Also:
      - Constant Field Values

  - ### COMMAND_GET

    static final String COMMAND_GET
    The 'Get' command
    See Also:
      - Constant Field Values

  - ### COMMAND_CHECKOUT

    static final String COMMAND_CHECKOUT
    The 'Checkout' command
    See Also:
      - Constant Field Values

  - ### COMMAND_CHECKIN

    static final String COMMAND_CHECKIN
    The 'Checkin' command
    See Also:
      - Constant Field Values

  - ### COMMAND_LABEL

    static final String COMMAND_LABEL
    The 'Label' command
    See Also:
      - Constant Field Values

  - ### COMMAND_HISTORY

    static final String COMMAND_HISTORY
    The 'History' command
    See Also:
      - Constant Field Values

  - ### COMMAND_CREATE

    static final String COMMAND_CREATE
    The 'Create' command
    See Also:
      - Constant Field Values

  - ### STYLE_BRIEF

    static final String STYLE_BRIEF
    The brief style flag
    See Also:
      - Constant Field Values

  - ### STYLE_CODEDIFF

    static final String STYLE_CODEDIFF
    The codediff style flag
    See Also:
      - Constant Field Values

  - ### STYLE_NOFILE

    static final String STYLE_NOFILE
    The nofile style flag
    See Also:
      - Constant Field Values

  - ### STYLE_DEFAULT

    static final String STYLE_DEFAULT
    The default style flag
    See Also:
      - Constant Field Values

  - ### TIME_CURRENT

    static final String TIME_CURRENT
    The text for current (default) timestamp
    See Also:
      - Constant Field Values

  - ### TIME_MODIFIED

    static final String TIME_MODIFIED
    The text for modified timestamp
    See Also:
      - Constant Field Values

  - ### TIME_UPDATED

    static final String TIME_UPDATED
    The text for updated timestamp
    See Also:
      - Constant Field Values

  - ### WRITABLE_REPLACE

    static final String WRITABLE_REPLACE
    The text for replacing writable files
    See Also:
      - Constant Field Values

  - ### WRITABLE_SKIP

    static final String WRITABLE_SKIP
    The text for skipping writable files
    See Also:
      - Constant Field Values

  - ### WRITABLE_FAIL

    static final String WRITABLE_FAIL
    The text for failing on writable files
    See Also:
      - Constant Field Values

  - ### FLAG_LOGIN

    static final String FLAG_LOGIN
    -Y flag
    See Also:
      - Constant Field Values

  - ### FLAG_OVERRIDE_WORKING_DIR

    static final String FLAG_OVERRIDE_WORKING_DIR
    -GL flag
    See Also:
      - Constant Field Values

  - ### FLAG_AUTORESPONSE_DEF

    static final String FLAG_AUTORESPONSE_DEF
    -I- flag
    See Also:
      - Constant Field Values

  - ### FLAG_AUTORESPONSE_YES

    static final String FLAG_AUTORESPONSE_YES
    -I-Y flag
    See Also:
      - Constant Field Values

  - ### FLAG_AUTORESPONSE_NO

    static final String FLAG_AUTORESPONSE_NO
    -I-N flag
    See Also:
      - Constant Field Values

  - ### FLAG_RECURSION

    static final String FLAG_RECURSION
    -R flag
    See Also:
      - Constant Field Values

  - ### FLAG_VERSION

    static final String FLAG_VERSION
    -V flag
    See Also:
      - Constant Field Values

  - ### FLAG_VERSION_DATE

    static final String FLAG_VERSION_DATE
    -Vd flag
    See Also:
      - Constant Field Values

  - ### FLAG_VERSION_LABEL

    static final String FLAG_VERSION_LABEL
    -VL flag
    See Also:
      - Constant Field Values

  - ### FLAG_WRITABLE

    static final String FLAG_WRITABLE
    -W flag
    See Also:
      - Constant Field Values

  - ### VALUE_NO

    static final String VALUE_NO
    -N flag
    See Also:
      - Constant Field Values

  - ### VALUE_YES

    static final String VALUE_YES
    -Y flag
    See Also:
      - Constant Field Values

  - ### FLAG_QUIET

    static final String FLAG_QUIET
    -O- flag
    See Also:
      - Constant Field Values

  - ### FLAG_COMMENT

    static final String FLAG_COMMENT
    -C flag
    See Also:
      - Constant Field Values

  - ### FLAG_LABEL

    static final String FLAG_LABEL
    -L flag
    See Also:
      - Constant Field Values

  - ### VALUE_FROMDATE

    static final String VALUE_FROMDATE
    ~d flag
    See Also:
      - Constant Field Values

  - ### VALUE_FROMLABEL

    static final String VALUE_FROMLABEL
    ~L flag
    See Also:
      - Constant Field Values

  - ### FLAG_OUTPUT

    static final String FLAG_OUTPUT
    -O flag
    See Also:
      - Constant Field Values

  - ### FLAG_USER

    static final String FLAG_USER
    -U flag
    See Also:
      - Constant Field Values

  - ### FLAG_NO_FILE

    static final String FLAG_NO_FILE
    -F- flag
    See Also:
      - Constant Field Values

  - ### FLAG_BRIEF

    static final String FLAG_BRIEF
    -B flag
    See Also:
      - Constant Field Values

  - ### FLAG_CODEDIFF

    static final String FLAG_CODEDIFF
    -D flag
    See Also:
      - Constant Field Values

  - ### FLAG_FILETIME_DEF

    static final String FLAG_FILETIME_DEF
    -GTC flag
    See Also:
      - Constant Field Values

  - ### FLAG_FILETIME_MODIFIED

    static final String FLAG_FILETIME_MODIFIED
    -GTM flag
    See Also:
      - Constant Field Values

  - ### FLAG_FILETIME_UPDATED

    static final String FLAG_FILETIME_UPDATED
    -GTU flag
    See Also:
      - Constant Field Values

  - ### FLAG_REPLACE_WRITABLE

    static final String FLAG_REPLACE_WRITABLE
    -GWR flag
    See Also:
      - Constant Field Values

  - ### FLAG_SKIP_WRITABLE

    static final String FLAG_SKIP_WRITABLE
    -GWS flag
    See Also:
      - Constant Field Values

  - ### FLAG_NO_GET

    static final String FLAG_NO_GET
    -G- flag
    See Also:
      - Constant Field Values